@charset "UTF-8";

body {
    position: relative;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    background: url("/assets/images/decoder.webp") #00000080;
    background-blend-mode: darken;
    background-position: center top;
    min-height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
}

*,
::before,
::after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

input[type="submit"] {
    -webkit-appearance: none;
    appearance: none;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
}

h1 {
    margin-block-start: 0;
    margin-block-end: 0;
    margin-inline-start: 0;
    margin-inline-end: 0;
}

.front {
    position: absolute;
    text-align: center;
}

@keyframes atOne {
    from {
        opacity: 0;
        text-shadow: 0 0 8px #333;
    }

    50% {
        opacity: 1;
        text-shadow: 0 0 18px #fff;
    }

    to {
        opacity: .7;
        text-shadow: 0 0 8px #333;
    }
}

.front {
    position: absolute;
    text-align: center;
    width: 100%;
    padding: 1rem;
}

.front h1 {
    color: #fff;
    font-size: calc(42px + 62 * (100vw / 1440));
    text-shadow: 0 0 8px #333;
    animation-name: atOne;
    animation-duration: 3s;
    opacity: .7;
}

.front p {
    position: absolute;
    top: calc(50% - 2em);
    left: 0;
    right: 0;
    color: #fff;
    font-size: calc(18px + 14 * (100vw / 1440));
    background-color: rgba(0, 0, 0, .6);
    padding: 1em;
}

.site-footer {
    margin: 0;
    padding: .5em;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 111;
    text-align: center;
    color: #fff;
    background: #00000070;
}

p.copyright {
    font-size: 12px;
    margin: 0;
}

.contact {
    position: fixed;
    right: 1rem;
    bottom: 2.7rem;
}

.contact .email {
    color: inherit;
    display: flex;
    align-items: center;
    gap: .5rem;
}

.contact .email svg path {
    transition-duration: .3s;
}

.contact .email:hover svg path {
    fill: #fff;
}

.form-container {
    width: 436px;
    background-color: #ffffffb3;
    padding: 1rem;
    position: absolute;
    left: 1rem;
    bottom: 3rem;
    z-index: 111;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    border-radius: 5px;
    -webkit-transition: background-color .3s, width .3s;
    -moz-transition: background-color .3s, width .3s;
    -ms-transition: background-color .3s, width .3s;
    -o-transition: background-color .3s, width .3s;
    transition: background-color .3s, width .3s;
}

.form-container:hover {
    background-color: #ffffffcf;
}

form.contact-form {
    width: 100%;
    display: flex;
    flex-direction: column;
    row-gap: .5rem;
}

.contact-form label {
    display: flex;
    flex-direction: column;
    row-gap: .15rem;
}

label i {
    color: darkred;
}

input,
textarea {
    font-family: inherit;
    font-size: 16px;
    color: #111;
    padding: .25em .5em;
    border: 1px solid #00BCD4;
    background-color: #ffffff59;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
    -webkit-transition: background-color .3s;
    -moz-transition: background-color .3s;
    -ms-transition: background-color .3s;
    -o-transition: background-color .3s;
    transition: background-color .3s;
}

input:focus-visible,
textarea:focus-visible {
    background-color: #fff;
    outline: 1px solid #00BCD4;
}

input[type="submit"] {
    font-weight: 500;
    text-transform: uppercase;
    align-items: center;
    cursor: pointer;
}

input[type="submit"]:hover {
    background-color: #fff;
}

.report p {
    font-size: 14px;
    text-align: center;
    background-color: #fff;
    margin-top: .25em;
    padding: .25em .5em;
    border: 2px solid;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    -ms-border-radius: 3px;
    -o-border-radius: 3px;
    border-radius: 3px;
}

p.success {
    border-color: #00BCD4;
}

p.error {
    color: darkred;
    border-color: darkred;
}

.i-success {
    color: #009688;
}

.i-error {
    color: darkred;
}

@media screen and (max-height:932px) and (max-width:767px) {
    .front h1 {
        margin-top: 1em;
    }

    .form-container {
        width: 265px;
    }

    .form-container.stretch {
        width: 340px;
    }

    .contact.translate {
        position: absolute;
        left: 0;
        top: 0;
        right: auto;
        bottom: auto;
    }
}

@media screen and (max-width: 500px) {
    .form-container {
        width: calc(100dvw - 2rem);
    }

    .contact {
        position: fixed;
        left: 50%;
        right: auto;
        top: 1rem;
        bottom: auto;
        -webkit-transform: translateX(-50%);
        -moz-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
        transform: translateX(-50%);
        -o-transform: translateX(-50%);
    }
}